Method: networks.daiAuthenticationKeys.batchCreate

Batch creates DaiAuthenticationKey objects.

HTTP request

POST https://admanager.googleapis.com/v1/{parent}/daiAuthenticationKeys:batchCreate

Path parameters

Parameters
parent

string

Required. The parent resource where DaiAuthenticationKeys will be created. Format: networks/{networkCode} The parent field in the CreateDaiAuthenticationKeyRequest must match this field.

Request body

The request body contains data with the following structure:

JSON representation
{
  "requests": [
    {
      object (CreateDaiAuthenticationKeyRequest)
    }
  ]
}
Fields
requests[]

object (CreateDaiAuthenticationKeyRequest)

Required. The DaiAuthenticationKey objects to create. A maximum of 100 objects can be created in a batch.

Response body

Response object for daiAuthenticationKeys.batchCreate method.

If successful, the response body contains data with the following structure:

JSON representation
{
  "daiAuthenticationKeys": [
    {
      object (DaiAuthenticationKey)
    }
  ]
}
Fields
daiAuthenticationKeys[]

object (DaiAuthenticationKey)

The DaiAuthenticationKey objects created.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/admanager

For more information, see the OAuth 2.0 Overview.

CreateDaiAuthenticationKeyRequest

Request object for daiAuthenticationKeys.create method.

JSON representation
{
  "parent": string,
  "daiAuthenticationKey": {
    object (DaiAuthenticationKey)
  }
}
Fields
parent

string

Required. The parent resource where this DaiAuthenticationKey will be created. Format: networks/{networkCode}

daiAuthenticationKey

object (DaiAuthenticationKey)

Required. The DaiAuthenticationKey to create.